#  Copyright (C) 2023
#  ABM, Moscow
#
#  UNPUBLISHED PROPRIETARY MATERIAL.
#  ALL RIGHTS RESERVED.
#
#  Authors: Vasiliev Ivan <i.vasiliev@technokert.ru>
import abc


class Sqlable(abc.ABC):

    @abc.abstractmethod
    def to_sql(self) -> str:
        pass

    def __str__(self):
        return self.to_sql()
